The SNMPException class

- « SNMP::walk

- Sockets »

- PHP Manual
- SNMP
- The SNMPException class

# The SNMPException class

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

## Introduction

Represents an error raised by SNMP. You should not throw a SNMPException from your own code. See Exceptions for more information about Exceptions in PHP.

## Class synopsis

class SNMPException extends RuntimeException {
/* Inherited properties */
protected string $message = "";
private string $string = "";
protected int $code;
protected string $file = "";
protected int $line;
private array $trace = [];
private ?Throwable $previous = null;
/* Inherited methods */
public Exception::__construct(string `$message` = "", int `$code` = 0, ?Throwable `$previous` = `null`)
final public Exception::getMessage(): string
final public Exception::getPrevious(): ?Throwable
final public Exception::getCode(): int
final public Exception::getFile(): string
final public Exception::getLine(): int
final public Exception::getTrace(): array
final public Exception::getTraceAsString(): string
public Exception::__toString(): string
private Exception::__clone(): void
}

## Properties

code

  `SNMP` library error code. Use Exception::getCode() to access it.